Name:           meandmyshadow
Version:        0.5a
Release:        %mkrel 3
Summary:        Puzzle/platform game where you try to reach the exit by solving puzzles
Group:          Games/Arcade
License:        GPLv3+
URL:            http://meandmyshadow.sourceforge.net/
Source0:        http://downloads.sourceforge.net/meandmyshadow/%{name}-%{version}-src.tar.gz
Patch0:         meandmyshadow-0.5a-no-SDL2MAIN_LIBRARY.patch
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(SDL2_gfx)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(lua) >= 5.2
BuildRequires:  cmake

%description
Me and My Shadow is a free libre puzzle/platform game in which
you try to reach the exit by solving puzzles. Spikes, moving
blocks, fragile blocks and much more stand between you and the exit.
Record your moves and let your shadow mimic them to reach blocks you
couldn't reach alone.

%prep
%setup -q
%autopatch -p1
sed -i "/Version/d" %{name}.desktop

%build
%cmake -DBINDIR=%{_gamesbindir} \
       -DDATAROOTDIR=%{_gamesdatadir} \
       -DDESKTOPDIR=%{_datadir}/applications/ \
       -DICONDIR=%{_iconsdir}
%cmake_build

%install
%cmake_install

%files
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.5a-3.mga8
+ Revision: 1520032
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
+ luigiwalser <luigiwalser>
- rebuild for SDL_gfx

* Sat Nov 03 2018 daviddavid <daviddavid> 0.5a-1.mga7
+ Revision: 1327984
- new version: 0.5a
- port to sdl2

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-7.mga7
+ Revision: 1299507
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 cjw <cjw> 0.4.1-6.mga7
+ Revision: 1151972
- rebuild for openssl 1.1

* Fri Jan 15 2016 danf <danf> 0.4.1-5.mga6
+ Revision: 923172
- Added sf-url.patch to fix URL at sf.net to download add-ons

* Wed Jan 06 2016 danf <danf> 0.4.1-4.mga6
+ Revision: 919950
- Added link-x11.patch to fix underlinking problem

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-3.mga5
+ Revision: 745361
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-2.mga5
+ Revision: 682327
- Mageia 5 Mass Rebuild

* Sat Mar 29 2014 akien <akien> 0.4.1-1.mga5
+ Revision: 609568
- New version 0.4.1: http://forum.freegamedev.net/viewtopic.php?f=48&t=5396

* Sat Feb 22 2014 akien <akien> 0.4-7.mga5
+ Revision: 595620
- Add French translation (based upon 0.5 svn snapshot), sent upstream: http://forum.freegamedev.net/viewtopic.php?f=48&t=5335

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.4-6.mga5
+ Revision: 591735
- rebuild for SDL_gfx

* Sat Oct 19 2013 umeabot <umeabot> 0.4-5.mga4
+ Revision: 528877
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 0.4-4.mga4
+ Revision: 447776
- rebuild for new libarchive

* Sat Jan 12 2013 umeabot <umeabot> 0.4-3.mga3
+ Revision: 359884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.4-2.mga3
+ Revision: 345456
- rebuild for new SDL_gfx

* Sat Aug 04 2012 dams <dams> 0.4-1.mga3
+ Revision: 278347
- new version 0.4
- remove uneeded patch
- update cmake options and clean specfile depending on this modifications

* Thu May 31 2012 dams <dams> 0.3-4.mga3
+ Revision: 252383
+ rebuild (emptylog)

* Thu May 31 2012 dams <dams> 0.3-3.mga3
+ Revision: 252101
+ rebuild (emptylog)

* Thu May 31 2012 petos <petos> 0.3-2.mga3
+ Revision: 252035
- Fixed install paths. Thanks dams.

* Sat Apr 21 2012 petos <petos> 0.3-1.mga2
+ Revision: 232291
- Desktop File patch
- imported package meandmyshadow

